Bug 160310 - [maintainer-update] upgrade openerp-server
[maintainer-update] upgrade openerp-server
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: beech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-30 15:00 UTC by laurent
Modified: 2011-09-07 00:10 UTC (History)
0 users

See Also:


Attachments
file.diff (8.39 KB, patch)
2011-08-30 15:00 UTC, laurent
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description laurent 2011-08-30 15:00:24 UTC
Upgrade openerp-server from 5.0.15 to 6.0.3

Fix: Patch attached with submission follows:
Comment 1 beech freebsd_committer 2011-08-31 18:23:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 beech freebsd_committer 2011-08-31 22:01:01 UTC
Does not install. Missing group GID

http://www.maximumdata.biz/tb/errors/9.0-FreeBSD/openerp-server-6.0.3,1.log

Also this port depends on print/py-reportlab2 which is broken. I have a fix 
and have pinged the maintainer.

Beech

-- 
---------------------------------------------------------------------------------------
Beech Rintoul - FreeBSD Developer - beech@FreeBSD.org
/"\   ASCII Ribbon Campaign  | FreeBSD Since 4.x
\ / - NO HTML/RTF in e-mail  | http://people.freebsd.org/~beech
 X  - NO Word docs in e-mail | Skype: akbeech
/ \ - http://www.FreeBSD.org/releases/8.2R/announce.html
---------------------------------------------------------------------------------------
Comment 3 beech freebsd_committer 2011-08-31 22:01:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainer feedback
Comment 4 laurent 2011-09-01 00:21:09 UTC
Sorry for GIDs and UIds.

Her are the patchs :

GIDs :

220a221
 > openerpd:*:951:


UIDs :

223a224
 > openerpd:*:950:950::0:0:Openerpd user:/nonexistent:/sbin/nologin


It seems that print/py-reportlab2 only fail to create a package.
It does install well with ports.

Laurent
Comment 5 laurent 2011-09-01 00:40:29 UTC
Sorry, too late to make a patch ...

It is

UIDs :

223a224
 > openerpd:*:951:951::0:0:Openerpd user:/nonexistent:/sbin/nologin

-------- Message original --------
Sujet: Re: ports/160310: [maintainer-update] upgrade openerp-server
Date : Thu, 01 Sep 2011 01:21:09 +0200
De : Laurent Berthelet <laurent@ospowa.com>
Pour : bug-followup@FreeBSD.org, laurent@ospowa.com

Sorry for GIDs and UIds.

Her are the patchs :

GIDs :

220a221
> openerpd:*:951:


UIDs :

223a224
> openerpd:*:950:950::0:0:Openerpd user:/nonexistent:/sbin/nologin


It seems that print/py-reportlab2 only fail to create a package.
It does install well with ports.

Laurent
Comment 6 dfilter freebsd_committer 2011-09-01 18:50:20 UTC
beech       2011-09-01 17:50:06 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
  Log:
  - Add for openerp-server
  
  PR:             ports/160310
  Submitted by:   Laurent Berthelet <laurent@ospowa.com>
  
  Revision  Changes    Path
  1.155     +2 -1      ports/GIDs
  1.174     +2 -1      ports/UIDs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2011-09-07 00:08:49 UTC
beech       2011-09-06 23:08:36 UTC

  FreeBSD ports repository

  Modified files:
    finance/openerp-server Makefile distinfo 
    finance/openerp-server/files openerpd.in patch-setup.py 
  Log:
  - Update To 6.0.3
  
  PR:             ports/160310
  Submitted by:   Laurent Berthelet <laurent@ospowa.com> (maintainer)
  
  Revision  Changes    Path
  1.21      +29 -6     ports/finance/openerp-server/Makefile
  1.12      +2 -2      ports/finance/openerp-server/distinfo
  1.4       +39 -0     ports/finance/openerp-server/files/openerpd.in
  1.2       +25 -21    ports/finance/openerp-server/files/patch-setup.py
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 beech freebsd_committer 2011-09-07 00:09:18 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!